osgVolume::VolumeScene::ViewData Class Reference

`#include <VolumeScene>`

Inheritance diagram for osgVolume::VolumeScene::ViewData:

## Public Member Functions

| ViewData ()
void | clearTiles ()
void | visitTile (VolumeTile *tile)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< osg::Texture2D > | _depthTexture
osg::ref_ptr< osg::Texture2D > | _colorTexture
osg::ref_ptr< osg::Camera > | _rttCamera
osg::ref_ptr< osg::Node > | _backdropSubgraph
osg::ref_ptr< osg::Geometry > | _geometry
osg::ref_ptr< osg::Vec3Array > | _vertices
osg::ref_ptr< osg::StateSet > | _stateset
osg::ref_ptr< osg::Uniform > | _viewportDimensionsUniform
Tiles | _tiles

## Protected Member Functions

virtual | ~ViewData ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ViewData()

osgVolume::VolumeScene::ViewData::ViewData | ( |  | ) |

## ~ViewData()

virtual osgVolume::VolumeScene::ViewData::~ViewData | ( |  | ) |

inline protected virtual

## Member Function Documentation

## clearTiles()

void osgVolume::VolumeScene::ViewData::clearTiles | ( |  | ) |

## visitTile()

void osgVolume::VolumeScene::ViewData::visitTile | ( | VolumeTile * | tile | ) |

## Member Data Documentation

## _backdropSubgraph

osg::ref_ptr<osg::Node> osgVolume::VolumeScene::ViewData::_backdropSubgraph

## _colorTexture

osg::ref_ptr<osg::Texture2D> osgVolume::VolumeScene::ViewData::_colorTexture

## _depthTexture

osg::ref_ptr<osg::Texture2D> osgVolume::VolumeScene::ViewData::_depthTexture

## _geometry

osg::ref_ptr<osg::Geometry> osgVolume::VolumeScene::ViewData::_geometry

## _rttCamera

osg::ref_ptr<osg::Camera> osgVolume::VolumeScene::ViewData::_rttCamera

## _stateset

osg::ref_ptr<osg::StateSet> osgVolume::VolumeScene::ViewData::_stateset

## _tiles

Tiles osgVolume::VolumeScene::ViewData::_tiles

## _vertices

osg::ref_ptr<osg::Vec3Array> osgVolume::VolumeScene::ViewData::_vertices

## _viewportDimensionsUniform

osg::ref_ptr<osg::Uniform> osgVolume::VolumeScene::ViewData::_viewportDimensionsUniform

The documentation for this class was generated from the following file:

- VolumeScene